Skip to main content
GET
/
api
/
v1
/
acts
/
{act_id}
/
amendments
Get amendment history
curl --request GET \
  --url https://api.vaquill.ai/api/v1/acts/{act_id}/amendments \
  --header 'Authorization: Bearer <token>'
{
  "actId": "<string>",
  "title": "<string>",
  "totalFootnotes": 123,
  "footnotes": [
    {
      "footnoteText": "<string>",
      "footnoteType": "<string>",
      "sectionNumber": "<string>",
      "sectionTitle": "<string>",
      "footnoteId": 123,
      "byAct": "<string>",
      "originalText": "<string>",
      "effectiveDate": "<string>"
    }
  ],
  "typeCounts": {}
}

Documentation Index

Fetch the complete documentation index at: https://vaquill.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key issued from the Vaquill developer dashboard. Pass as Authorization: Bearer vq_key_...

Path Parameters

act_id
string
required
Required string length: 1 - 200
Pattern: ^[a-zA-Z0-9_-]+$

Query Parameters

section
string | null

Filter by section number

type
string | null

Filter: substitution, insertion, omission, note, renumbering

page
integer
default:1

Page number

Required range: x >= 1
pageSize
integer
default:100

Results per page

Required range: 1 <= x <= 200

Response

Successful Response

actId
string
required
title
string
required
totalFootnotes
integer
required
footnotes
FootnoteItem · object[]
required
typeCounts
Typecounts · object
required